详解eclipse中Maven工程使用Tomcat7以上插件的方法

转载  2017-12-04   作者:姜飞祥   我要评论
本篇文章主要介绍了详解eclipse中Maven工程使用Tomcat7以上插件的方法,小编觉得挺不错的,现在分享给大家,也给大家做个参考。一起跟随小编过来看看吧
Maven中使用tomcat:run命令默认是使用Tomcat6的版本, 现在要用到Tomcat7以上的版本,在eclipse的Maven工程中配置如下 第一步:在项目的pom里面加入如下配置: 官网配置: http://tomcat.apache.org/maven-plugin-trunk/
<pluginManagement> <plugins> <plugin> <groupId>org.apache.tomcat.maven</groupId> <artifactId>tomcat6-maven-plugin</artifactId> <version>2.3-SNAPSHOT</version> </plugin> <plugin> <groupId>org.apache.tomcat.maven</groupId> <artifactId>tomcat7-maven-plugin</artifactId> <version>2.3-SNAPSHOT</version> </plugin> </plugins> </pluginManagement>
第二步:启动项目的时候,run as  -->  Maven Build  -->  选择项目路径, Goals里面写tomcat7:run 运行即可 以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持脚本之家。

最新评论

利发国际手机客户端